최신 보안 뉴스

보안 및 IT 분야의 최신 뉴스를 정확하고 신속하게 전해드립니다.

최신 리눅스 커널 취약점 공개, 이미 익스플로잇 개발 가능성 커...주의

  • Facebook에 공유하실 수
    있습니다.

  • Twitter에 공유하실 수
    있습니다.

  • Linked in

    Linked in에 공유하실 수
    있습니다.

  • 붙여넣기

    블로그나 게시판에 붙여넣기 하실
    수 있습니다.

구글 프로젝트 제로의 Jann Horn이 CVE-2018-17182 취약점을 발견해 상세 내용을 공개했다. 이 취약점은 심각 수준의 use-after-free로 추적되며 2014년 8월 배포된 리눅스커널 버전 3.16에 존재한다.

 

공격자는 DoS 조건을 유발하거나 취약한 시스템에서 루트 권한으로 임의 코드를 실행하여 익스플로잇이 가능하다. 전문가는 9월 12일에 이 결함을 리눅스커널 개발 팀에 보고했고, 며칠 후 패치되었다고 언급했다.

 

Horn은 또한 취약점에 대한 PoC 코드를 공개했다. 그는 레퍼런스 카운터 오버플로우를 발생시키기 위해 취약점을 트리거 하는 과정이 매우 오래 실행되어야 하기 때문에 이번 이슈에 대한 익스플로잇은 많은 시간이 소요된다고 설명했다.

 

구글 프로젝트 제로의 보안 권고문은 “이 블로그 포스트는 리눅스커널 3.16 이후에 존재하는 버그 CVE-2018-17182를 익스플로잇하는 방법을 설명한다. 리눅스커널업스트림 안정 버전 4.18.9, 4.14.71, 4.4.157에 패치가 적용되었다”고 언급했다.

 

이 연구원은 공격자가 이미 취약점에 대한 익스플로잇을 개발했을 가능성에 대해 경고하고, 리눅스 배포판 개발자들이 커널 업데이트를 자주 공개하지 않는다는 사실에 우려를 표했다.

 

Horn은 “리눅스배포판은커널 업데이트를 자주 공개하지 않는다. 예를 들어 데비안은커널 4.9 버전을 기반으로 하지만 2018년 8월 21일에 마지막으로 업데이트되었다. 마찬가지로 우분투 16.04는 최종 업데이트가 2018년 8월 27일에 이루어졌다”고 말했다.

 

안드로이드는 한달에 한번만 보안 업데이트를 제공한다. 따라서 업스트림커널에서중요한 패치가 가능할 때에도 실제 사용자들이 사용하기까지는 몇 주가 소요될 수 있다. 이 익스플로잇은kernel.dmesg_restrictsysctl과 같은 특정 설정이 사용시 적절한 절충을 제공하는 등 보안 커널 구성의 중요성을 보여준다.​ 

  • 데일리시큐 로고
  • hsk 기자
  • Facebook에 공유하실 수
    있습니다.

  • Twitter에 공유하실 수
    있습니다.

  • Linked in

    Linked in에 공유하실 수
    있습니다.

  • 붙여넣기

    블로그나 게시판에 붙여넣기 하실
    수 있습니다.